"use strict";

let countrySelector = document.querySelector('.countrySelector');
let countryList = document.querySelector('.agents_select');
let listCancel = document.querySelector('.list_cancel');

if (window.NodeList && !NodeList.prototype.forEach) {
    NodeList.prototype.forEach = Array.prototype.forEach;
}

// sort the selection by names
const countriesUL = document.querySelector('.list_wrapper > ul');
Array.from(countriesUL.getElementsByTagName("LI"))
    .sort((a, b) => a.textContent.localeCompare(b.textContent))
    .forEach(li => countriesUL.appendChild(li));

const match = /\/country\/([a-zA-Z:,\/\- ]*)\//.exec(decodeURIComponent(window.location));
let showSelection = false;

countrySelector.addEventListener("click", function(){
    showSelection = !showSelection;
    if(showSelection){
        countryList.classList.add('x--show');
    }
    else{
        countryList.classList.remove('x--show');
    }
});

listCancel.addEventListener("click", function(){
    if(showSelection){
        countryList.classList.remove('x--show');
        showSelection = false;
    }
});

if(match !== null){
    const selectedElements = document.querySelectorAll("[countryId='"+match[1]+"']");
    selectedElements.forEach(function(selectedElement) {
        if(selectedElement !== null){
            selectedElement.classList.add('x--selected');
            countrySelector.textContent = match[1];
        }
    });
}
else{
    countrySelector.textContent = 'Choose a country/region';
}
